Subject: Ticket Assigned - Reference to mobile number 054 7535528
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 28 Apr 2022 16:21:13 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Reference to mobile number 054 7535528 Dear Max Team 

Am really upset with the service provided I’ve been waiting for my order for 4 days while my order I was informed will take 3 days. 

I haven’t been assisted by the call centre the only option I was given is that you have to wait for untill the order arrives while am travelling today. 

Either am contacted immediately and updated that I can collect my items or the order to be cancelled and amount to be refunded and I’ll go to the shop and purchase myself. 

The thing that concern me also on the same day I ordered from max I ordered from centre point items were delivered after 2 days and I’ve collected them. 

You really need to work on these feature as of now it’s not worth having a feature that doesn’t function. 

Hope to be contacted shortly with a resolution. 

Regards 
Sent from my iPhone
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4274536